VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "_: FlatScrollBar"
   ClientHeight    =   2400
   ClientLeft      =   48
   ClientTop       =   432
   ClientWidth     =   5400
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2400
   ScaleWidth      =   5400
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdThumb 
      Caption         =   ""
      Height          =   252
      Left            =   3000
      TabIndex        =   5
      Top             =   1560
      Width           =   1932
   End
   Begin VB.CommandButton cmdHideScrollbar 
      Caption         =   " "
      Height          =   372
      Left            =   3000
      TabIndex        =   4
      Top             =   960
      Width           =   1932
   End
   Begin VB.CommandButton Command2 
      Caption         =   "FlatSB_GetScrollProp"
      Height          =   252
      Left            =   3000
      TabIndex        =   3
      Top             =   240
      Width           =   1932
   End
   Begin VB.CommandButton Command1 
      Caption         =   "UninitializeFlatSB"
      Height          =   252
      Left            =   3000
      TabIndex        =   2
      Top             =   600
      Width           =   1932
   End
   Begin VB.ListBox List2 
      Height          =   432
      ItemData        =   "Form1.frx":030A
      Left            =   360
      List            =   "Form1.frx":030C
      TabIndex        =   1
      Top             =   1560
      Width           =   2172
   End
   Begin VB.ListBox List1 
      Height          =   1008
      ItemData        =   "Form1.frx":030E
      Left            =   360
      List            =   "Form1.frx":0310
      TabIndex        =   0
      Top             =   120
      Width           =   2172
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function InitializeFlatSB Lib "comctl32" (ByVal hWnd As Long) As Long
Private Declare Function UninitializeFlatSB Lib "comctl32" (ByVal hWnd As Long) As Long
Private Declare Function FlatSB_EnableScrollBar Lib "comctl32" (ByVal hWnd As Long, ByVal wSBflags As Long, ByVal wArrows As Long) As Long
Private Declare Function FlatSB_ShowScrollBar Lib "comctl32" (ByVal hWnd As Long, ByVal code As Long, ByVal fShow As Boolean) As Boolean
Private Declare Function FlatSB_SetScrollProp Lib "comctl32" (ByVal hWnd As Long, ByVal Index As Long, ByVal newValue As Long, ByVal fRedraw As Boolean) As Boolean
Private Declare Function FlatSB_GetScrollProp Lib "comctl32" (ByVal hWnd As Long, ByVal Index As Long, pValue As Long) As Boolean
Private Declare Function FlatSB_GetScrollRange Lib "comctl32" (ByVal hWnd As Long, ByVal code As Long, lpMinPos As Long, lpMaxPos As Long) As Boolean
Private Declare Function FlatSB_SetScrollRange Lib "comctl32" (ByVal hWnd As Long, ByVal code As Long, ByVal nMinPos As Long, ByVal nMaxPos As Long, ByVal fRedraw As Boolean) As Long

Private Declare Function FlatSB_SetScrollPos Lib "comctl32" (ByVal hWnd As Long, ByVal code As Long, ByVal nPos As Long, ByVal fRedraw As Boolean) As Long
Private Declare Function FlatSB_GetScrollPos Lib "comctl32" (ByVal hWnd As Long, ByVal code As Long) As Long

' 
Private Const SB_HORZ = 0&
Private Const SB_VERT = 1&
Private Const SB_BOTH = 3&

Private Const ESB_ENABLE_BOTH = &H0
Private Const ESB_DISABLE_BOTH = &H3
Private Const ESB_DISABLE_LEFT = &H1
Private Const ESB_DISABLE_RIGHT = &H2
Private Const ESB_DISABLE_UP = &H1
Private Const ESB_DISABLE_DOWN = &H2
Private Const ESB_DISABLE_LTUP = ESB_DISABLE_LEFT
Private Const ESB_DISABLE_RTDN = ESB_DISABLE_RIGHT

Private Const WSB_PROP_CYVSCROLL = &H1
Private Const WSB_PROP_CXHSCROLL = &H2
Private Const WSB_PROP_CYHSCROLL = &H4
Private Const WSB_PROP_CXVSCROLL = &H8
Private Const WSB_PROP_CXHTHUMB = &H10
Private Const WSB_PROP_CYVTHUMB = &H20
Private Const WSB_PROP_VBKGCOLOR = &H40
Private Const WSB_PROP_HBKGCOLOR = &H80
Private Const WSB_PROP_VSTYLE = &H100
Private Const WSB_PROP_HSTYLE = &H200
Private Const WSB_PROP_PALETTE = &H800

Private Const FSB_REGULAR_MODE = 0&
Private Const FSB_ENCARTA_MODE = 1&
Private Const FSB_FLAT_MODE = 2&

Private Sub cmdHideScrollbar_Click()
' hide scrollbar
FlatSB_ShowScrollBar List1.hWnd, SB_VERT, False
End Sub

Private Sub cmdThumb_Click()
Dim thumb As Long
thumb = FlatSB_SetScrollPos(List1.hWnd, SB_VERT, 3, True)
List2.AddItem thumb


End Sub

Private Sub Command1_Click()
Call UninitializeFlatSB(List1.hWnd)
End Sub

Private Sub Command2_Click()
Dim pValue As Long
Dim minpos As Long, maxpos As Long

Call InitializeFlatSB(List1.hWnd)
Call FlatSB_GetScrollProp(List1.hWnd, WSB_PROP_CYVTHUMB, pValue)
List2.AddItem pValue
Call FlatSB_GetScrollRange(List1.hWnd, SB_VERT, minpos, maxpos)
List2.AddItem minpos
List2.AddItem maxpos
Call FlatSB_SetScrollRange(List1.hWnd, SB_VERT, minpos, 9, True)

End Sub

Private Sub Form_Load()
List1.AddItem ""
List1.AddItem ""
List1.AddItem ""
List1.AddItem ""
List1.AddItem ""
List1.AddItem ""

Call InitializeFlatSB(List1.hWnd)
'      
FlatSB_SetScrollProp List1.hWnd, WSB_PROP_VBKGCOLOR, vbRed, True
FlatSB_EnableScrollBar List1.hWnd, SB_VERT, ESB_DISABLE_DOWN
End Sub
